Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.analysis
Class DataServer

    java.lang.Object
      uchicago.src.sim.analysis.DataServer

    public class DataServer

extends java.lang.Object

Created by IntelliJ IDEA. User: thowe Date: Jan 3, 2003 Time: 9:41:52 AM To change this template use Options | File Templates.

Field Summary
`static java.lang.String` | `WRITE_FILE`

Constructor Summary
`DataServer()`
`DataServer(int port)`

Method Summary
`void` | `acceptConnections()`
`java.lang.String` | `decode(java.nio.ByteBuffer byteBuffer)`
`void` | `finalize()`
`void` | `initialize()`
`void` | `readMessage(DataCallback callback)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRITE_FILE

    public static final java.lang.String WRITE_FILE

See Also:
  Constant Field Values

Constructor Detail

### DataServer

    public DataServer()

### DataServer

    public DataServer(int port)

Method Detail

### initialize

    public void initialize()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### finalize

    public void finalize()
                  throws java.io.IOException

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.io.IOException`

### acceptConnections

    public void acceptConnections()
                           throws java.io.IOException,
                                  java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### decode

    public java.lang.String decode(java.nio.ByteBuffer byteBuffer)
                            throws java.nio.charset.CharacterCodingException

  Throws:
    `java.nio.charset.CharacterCodingException`

### readMessage

    public void readMessage(DataCallback callback)
                     throws java.io.IOException,
                            java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD